<bugID>646424<Summary>Buttons on bookmarks bar should be using new style for hover and pressed states</Summary><Description>User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.2a1pre) Gecko/20110329 Firefox/4.2a1pre
Build Identifier: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.2a1pre) Gecko/20110329 Firefox/4.2a1pre

Bug 603790 introduced new moder look on modern OS, add-on bar is using similar style. Because of this changes bookmarks bar's hover and pressed states now look old and doesn't fit the rest GUI.

Reproducible: Always</Description></bugID>